/// <reference types="ws" />
import WebSocket from 'isomorphic-ws';
import { TypedEmitter } from 'tiny-typed-emitter';
import { PeerConnection } from './peer/connection';
import { Service } from './service';
export interface DeviceHandlerEvents {
    connectionsChanged(): void;
}
export declare class DeviceHandler extends TypedEmitter<DeviceHandlerEvents> {
    ws: WebSocket;
    connections: Map<string, PeerConnection>;
    services: Map<string, Service<string>>;
    connect(connectOptions: {
        endpoint: string;
        id: string;
        token: string;
    }): Promise<void>;
    addService(service: Service): void;
    private handleCreatePeerConnectionMessage;
    private handleSignalingMessage;
    private handleClosePeerConnectionMessage;
    getServiceMeta(): {
        serviceId: string;
        serviceType: string;
        serviceDirection: import("./service").ServiceDirection;
    }[];
}
//# sourceMappingURL=deviceHandler.d.ts.map